#include <iostream>
#include <string>
using namespace std;

int main()
{
	string n;
	cin >> n;
	int i = 0;
	int cifre = 0;
	int digits;
	int arr[100000] = { 0 };


	i = n.length() - 1;
	for (int k = 0; k < n.length(); k++)
	{
		arr[k] = (int)n[k];
	}
	if (arr[0] == arr[i])
	{

		int brojac = 0;

		for (int o = 0; o < i - 1; o++)
		{
			if (arr[1] == arr[1 + o])
			{
				brojac++;

			}
		}


		if (brojac == i - 1)
		{
			cout << "1";
			return 0;
		}
	}
	for (int j = i / 2; j <= i; j++)
	{

		if (j == i)
		{
			for (int k = 0; k <j; k++)
			{

				if (arr[k] == arr[j])
				{
					for (int y = k; y < j; y++)
					{
						if (arr[y] != arr[j])
						{
							arr[y] = arr[j];
							cifre++;
						}
					}
				}
			}
			for (j = i / 2; j >= 0; j--)
			{
				for (int k = i; k > j; k--)
				{
					if (arr[j] == arr[k])
					{
						for (int y = k; y > j; y--)
						{
							if (arr[y] != arr[j])
							{
								arr[y] = arr[j];
								cifre++;


							}

						}
						j = k;

					}
				}



						for (int k = 0; k <j ; k++)
						{

							if (arr[j] == arr[k])
							{

								for (int y = k + 1; y < j; y++)
								{
									if (arr[y] != arr[j])
									{
										arr[y] = arr[j];
										cifre++;

									}

								}
							}
						}





			}
			j = i + 1;

		}
		else
		{
			for (int k = i; k > j; k--)
			{
				if (arr[j] == arr[k])
				{
					for (int y = k; y > j; y--)
					{
						if (arr[y] != arr[j])
						{
							arr[y] = arr[j];

							cifre += 1;


						}

					}
					j = k;
				}
			}

					for (int k = 0; k < j; k++)
					{

						if (arr[j] == arr[k])
						{

							for (int y = k + 1; y < j; y++)
							{

								if (arr[y] != arr[j])
								{
									arr[y] = arr[j];
									cifre++;

								}

							}
						}
					}




		}
	}

	cout << cifre;
	return 0;
}